Subject: Re: bug#10112: ImageMagick doesn't display some image formats

From: Wolfgang Jenkner <[email-masked]>
Date: Thu, 24 Nov 2011 22:42:40 +0100

Juri Linkov <[email-masked]> writes:

> This means that ImageMagick is unable to read a TGA image from Blob,
> i.e. when the image is defined by the :data tag like Gnus does.
> OTOH, when a TGA image is defined by the :file tag, then ImageMagick
> can read it and display correctly.

Isn't this simply because image-type-header-regexps doesn't contain an
entry to detect that image format?  E.g., I have to explicitly
(add-to-list 'image-type-header-regexps '("\\`\377\330" . imagemagick))
to have image-mode use imagemagick to display a jpeg file.

Wolfgang